scala.tools.nsc.transform.LambdaLift

# LambdaLifter

#### class LambdaLifter extends Global.explicitOuter.OuterPathTransformer

Linear Supertypes
Global.explicitOuter.OuterPathTransformer, Global.explicitOuter.TypingTransformer, Global.Transformer, Global.Transformer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. LambdaLifter
2. OuterPathTransformer
3. TypingTransformer
4. Transformer
5. Transformer
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new LambdaLifter(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from LambdaLifter to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (LambdaLifter, B)

   Implicit information
     This member is added by an implicit conversion from LambdaLifter to ArrowAssoc[LambdaLifter] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def atOwner[A](tree: Global.Tree, owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer

10. #### final def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

    Definition Classes
      TypingTransformer → Transformer

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### var curTree: Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

13. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

14. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

15. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

16. #### def ensuring(cond: (LambdaLifter) ⇒ Boolean, msg: ⇒ Any): LambdaLifter

    Implicit information
      This member is added by an implicit conversion from LambdaLifter to Ensuring[LambdaLifter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: (LambdaLifter) ⇒ Boolean): LambdaLifter

    Implicit information
      This member is added by an implicit conversion from LambdaLifter to Ensuring[LambdaLifter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): LambdaLifter

    Implicit information
      This member is added by an implicit conversion from LambdaLifter to Ensuring[LambdaLifter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): LambdaLifter

    Implicit information
      This member is added by an implicit conversion from LambdaLifter to Ensuring[LambdaLifter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from LambdaLifter to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### def inSelfOrSuperCall[A](sym: Global.Symbol)(a: ⇒ A): A

    Attributes
      protected
    Definition Classes
      OuterPathTransformer
    Annotations
      @inline()

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### def isUnderConstruction(clazz: Global.Symbol): Boolean

    The stack of class symbols in which a call to this() or to the super constructor, or early definition is active

    The stack of class symbols in which a call to this() or to the super constructor, or early definition is active

    Attributes
      protected
    Definition Classes
      OuterPathTransformer

29. #### var localTyper: (analyzer)#Typer

    Definition Classes
      TypingTransformer

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### var outerParam: Global.Symbol

    The directly enclosing outer parameter, if we are in a constructor

    The directly enclosing outer parameter, if we are in a constructor

    Attributes
      protected
    Definition Classes
      OuterPathTransformer

34. #### def outerPath(base: Global.Tree, from: Global.Symbol, to: Global.Symbol): Global.Tree

    The path

    >     `base'.$outer$$C1 ... .$outer$$Cn

    which refers to the outer instance of class to of value base.

    The path

    >     `base'.$outer$$C1 ... .$outer$$Cn

    which refers to the outer instance of class to of value base. The result is typed but not positioned.

    `base'.$outer$$C1 ... .$outer$$Cn which refers to the outer instance of class to of value base. The result is typed but not positioned.`

    base

      ...

    from

      ...

    to

      ...

    returns

      ...

    Attributes
      protected
    Definition Classes
      OuterPathTransformer

35. #### def outerValue: Global.Tree

    The first outer selection from currently transformed tree.

    The first outer selection from currently transformed tree. The result is typed but not positioned.

    Will return `EmptyTree` if there is no outer accessor because of a premature self reference.

    Attributes
      protected
    Definition Classes
      OuterPathTransformer

36. #### val selfOrSuperCalls: Stack[Global.Symbol]

    Attributes
      protected
    Definition Classes
      OuterPathTransformer

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      LambdaLifter → OuterPathTransformer → TypingTransformer → Transformer

40. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

41. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

42. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

43. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Transform statements and add lifted definitions to them.

    Transform statements and add lifted definitions to them.

    Definition Classes
      LambdaLifter → Transformer

44. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

45. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

46. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

47. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      LambdaLifter → Transformer

48. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

49. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

50. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

51. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

52. #### def typedPos(pos: Global.Position)(tree: Global.Tree): Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### def →[B](y: B): (LambdaLifter, B)

    Implicit information
      This member is added by an implicit conversion from LambdaLifter to ArrowAssoc[LambdaLifter] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from LambdaLifter to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lambdaLifter: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from LambdaLifter to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lambdaLifter: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: LambdaLifter

   Implicit information
     This member is added by an implicit conversion from LambdaLifter to ArrowAssoc[LambdaLifter] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lambdaLifter: ArrowAssoc[LambdaLifter]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: LambdaLifter

   Implicit information
     This member is added by an implicit conversion from LambdaLifter to Ensuring[LambdaLifter] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (lambdaLifter: Ensuring[LambdaLifter]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Global.explicitOuter.OuterPathTransformer

### Inherited from Global.explicitOuter.TypingTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from LambdaLifter to StringAdd

### Inherited by implicit conversion any2stringfmt from LambdaLifter to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from LambdaLifter to ArrowAssoc[LambdaLifter]

### Inherited by implicit conversion any2Ensuring from LambdaLifter to Ensuring[LambdaLifter]

### Ungrouped